Subject: Re: [PATCH v2] gitweb: Add an option for adding more branch refs

From: Krzesimir Nowak <[email-masked]>
Date: Thu, 28 Nov 2013 12:49:17 +0100

On Wed, 2013-11-27 at 12:55 -0800, Junio C Hamano wrote:
> Eric Sunshine <[email-masked]> writes:
> 
> > On Wed, Nov 27, 2013 at 3:34 PM, Eric Sunshine <[email-masked]> wrote:
> >> On Wed, Nov 27, 2013 at 10:30 AM, Krzesimir Nowak
> >> <[email-masked]> wrote:
> >>> Overriding an @additional_branch_refs configuration variable with
> >>> value ('wip') will make gitweb to show branches that appear in
> >>> refs/heads and refs/wip (refs/heads is hardcoded).
> 
> "branches" are by definition what are in refs/heads/ hierarchy, so 
> 
>   Allow @additional_branch_refs configuration variable to tell
>   gitweb to show refs from additional hierarchies in addition to
>   branches in the list-of-branches view.
> 
> would be more appropriate and sufficient.

Thanks.

> 
> >> Mentioning $ref in the error message would help the user resolve the
> >> problem more quickly.
> >>
> >>> +               die_error(500, '"heads" specified in @additional_branch_refs') if ($ref eq 'heads');
> >>
> >> Rephrasing this as
> >>
> >>     "heads" disallowed in @additional_branch_refs
> >>
> >> would better explain the problem to a user who has only made a cursory
> >> read of the documentation.
> >
> > The program could easily filter out the redundant 'heads', so does
> > this really deserve a diagnostic?
> 
> True.

Ok, I'm deduping both heads and other refs as well. Now we send 500 only
if the ref is simply invalid.

> 
> I was primarily worried about metacharacters in the specified
> strings getting in the way of regexp matches the new code allows on
> them, but that has been resolved with the use of \Q..\E; if that
> automatic deduping is done, I do not immediately see any remaining
> issues in the latest round of the patch.
> 

New patch in "[PATCH v3] gitweb: Add an option for adding more branch
refs". Thanks for reviews!

> Thanks.

-- 
Krzesimir Nowak
Software Developer
Endocode AG

[email-masked]

------
Endocode AG, Johannisstraße 20, 10117 Berlin
[email-masked] | www.endocode.com

Vorstandsvorsitzender: Mirko Boehm
Vorstände: Dr. Karl Beecher, Chris Kühl, Sebastian Sucker
Aufsichtsratsvorsitzende: Jennifer Beecher

Registergericht: Amtsgericht Charlottenburg - HRB 150748 B